Bug 1231271 - perl-Text-Xslate-3.2.5-5.fc23: FTBFS with Perl 5.22
Summary: perl-Text-Xslate-3.2.5-5.fc23: FTBFS with Perl 5.22
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Text-Xslate
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://koji.fedoraproject.org/koji/b...
Whiteboard:
Depends On: 1235938
Blocks: 1126603
TreeView+ depends on / blocked
 
Reported: 2015-06-12 14:22 UTC by Jitka Plesnikova
Modified: 2015-06-26 08:55 UTC (History)
4 users (show)

Fixed In Version: perl-Text-Xslate-3.3.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-26 08:55:14 UTC
Type: Bug


Attachments (Terms of Use)
Build log (74.54 KB, text/plain)
2015-06-12 14:22 UTC, Jitka Plesnikova
no flags Details

Description Jitka Plesnikova 2015-06-12 14:22:28 UTC
Created attachment 1038087 [details]
Build log

The build of perl-Text-Xslate failed during Perl 5.22 mass rebuild with following errors:


Constants from lexical variables potentially modified elsewhere are deprecated at /builddir/build/BUILD/Text-Xslate-3.2.5/blib/lib/Text/Xslate.pm line 83.
Use of uninitialized value $syntax in concatenation (.) or string at /builddir/build/BUILD/Text-Xslate-3.2.5/blib/lib/Text/Xslate/Compiler.pm line 211.
Thread 2 terminated abnormally: Invalid class name (undef) at /usr/lib64/perl5/vendor_perl/Mouse/Util.pm line 276 thread 2.
	Mouse::Util::_try_load_one_class(undef) called at /usr/lib64/perl5/vendor_perl/Mouse/Util.pm line 250 thread 2
	Mouse::Util::load_first_existing_class("Text::Xslate::Syntax::", undef) called at /builddir/build/BUILD/Text-Xslate-3.2.5/blib/lib/Text/Xslate/Compiler.pm line 211 thread 2
	Text::Xslate::Compiler::_build_parser(Text::Xslate::Compiler=HASH(0x1332838)) called at /builddir/build/BUILD/Text-Xslate-3.2.5/blib/lib/Text/Xslate/Compiler.pm line 291 thread 2
	Text::Xslate::Compiler::compile(Text::Xslate::Compiler=HASH(0x1332838), "Hello, <:= \$lang :> world!\x{a}", "file", "/builddir/build/BUILD/Text-Xslate-3.2.5/t/aJ6bEoIbBo/hello.tx", "name", "/builddir/build/BUILD/Text-Xslate-3.2.5/t/aJ6bEoIbBo/hello.tx", "omit_augment", "") called at /builddir/build/BUILD/Text-Xslate-3.2.5/blib/lib/Text/Xslate.pm line 644 thread 2
	Text::Xslate::Engine::compile(Text::Xslate=HASH(0x1520cc8), "Hello, <:= \$lang :> world!\x{a}", "file", "/builddir/build/BUILD/Text-Xslate-3.2.5/t/aJ6bEoIbBo/hello.tx", "name", "/builddir/build/BUILD/Text-Xslate-3.2.5/t/aJ6bEoIbBo/hello.tx") called at /builddir/build/BUILD/Text-Xslate-3.2.5/blib/lib/Text/Xslate.pm line 405 thread 2
	Text::Xslate::Engine::_load_source(Text::Xslate=HASH(0x1520cc8), HASH(0x1252ad0), 0) called at /builddir/build/BUILD/Text-Xslate-3.2.5/blib/lib/Text/Xslate.pm line 357 thread 2
	Text::Xslate::Engine::load_file(Text::Xslate=HASH(0x1520cc8), "hello.tx", 0, "") called at t/010_internals/100_threads.t line 36 thread 2
	eval {...} called at t/010_internals/100_threads.t line 36 thread 2
	main::__ANON__() called at t/010_internals/100_threads.t line 37 thread 2
	eval {...} called at t/010_internals/100_threads.t line 37 thread 2
Use of uninitialized value $syntax in concatenation (.) or string at /builddir/build/BUILD/Text-Xslate-3.2.5/blib/lib/Text/Xslate/Compiler.pm line 211.
Thread 3 terminated abnormally: Invalid class name (undef) at /usr/lib64/perl5/vendor_perl/Mouse/Util.pm line 276 thread 3.
	Mouse::Util::_try_load_one_class(undef) called at /usr/lib64/perl5/vendor_perl/Mouse/Util.pm line 250 thread 3
	Mouse::Util::load_first_existing_class("Text::Xslate::Syntax::", undef) called at /builddir/build/BUILD/Text-Xslate-3.2.5/blib/lib/Text/Xslate/Compiler.pm line 211 thread 3
	Text::Xslate::Compiler::_build_parser(Text::Xslate::Compiler=HASH(0x133bc38)) called at /builddir/build/BUILD/Text-Xslate-3.2.5/blib/lib/Text/Xslate/Compiler.pm line 291 thread 3
	Text::Xslate::Compiler::compile(Text::Xslate::Compiler=HASH(0x133bc38), "<: [10, 20, 30].count(-> \$a { true }) :>", "omit_augment", undef) called at /builddir/build/BUILD/Text-Xslate-3.2.5/blib/lib/Text/Xslate.pm line 644 thread 3
	Text::Xslate::Engine::compile(Text::Xslate=HASH(0x1528950), "<: [10, 20, 30].count(-> \$a { true }) :>") called at /builddir/build/BUILD/Text-Xslate-3.2.5/blib/lib/Text/Xslate.pm line 272 thread 3
	Text::Xslate::Engine::load_string(Text::Xslate=HASH(0x1528950), "<: [10, 20, 30].count(-> \$a { true }) :>") called at t/010_internals/100_threads.t line 57 thread 3
	main::__ANON__() called at t/010_internals/100_threads.t line 58 thread 3
	eval {...} called at t/010_internals/100_threads.t line 58 thread 3
# Looks like you planned 13 tests but ran 9.
t/010_internals/100_threads.t ................... 
Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 4/13 subtests 


Reported to the upstream:
https://github.com/xslate/p5-Text-Xslate/issues/139

Comment 1 Petr Pisar 2015-06-25 11:17:59 UTC
The upstream report concludes this is a bug in perl-Mouse.


Note You need to log in before you can comment on or make changes to this bug.